# build_fb: Build frame buffer backend 
#	0 = no
#	1 = yes
%define build_fb	1

# enable_gtkdoc: Toggle if gtk-doc files should be rebuilt.
#      0 = no
#      1 = yes
%define enable_gtkdoc 1

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_without_fb: %{expand: %%define build_fb 0}}

%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}
%{?_with_fb: %{expand: %%define build_fb 1}}


# required version of various libraries
%define req_glib_version		2.2.0
%define req_pango_version		1.2.0-3mdk
%define req_atk_version			1.2.0

%define pkgname			gtk+
%define api_version		2.0
%define binary_version	2.2
%define lib_major		0
%define major_version   2
%define minor_version   2
%define micro_version	4

%define libname			%mklibname %{pkgname} %{api_version} %{lib_major}
%define libname_x11		%mklibname %{pkgname}-x11- %{api_version} %{lib_major}
%define libname_linuxfb %mklibname %{pkgname}-linuxfb- %{api_version} %{lib_major}
%define libname_pixbuf  %mklibname gdk_pixbuf %{api_version} %{lib_major}

Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs
Name:		%{pkgname}%{api_version}
Version:	%{major_version}.%{minor_version}.%{micro_version}
Release:	10.2.100mdk
License:	LGPL
Group:		System/Libraries
Source0:	ftp://ftp.gtk.org/pub/gtk/v%{api_version}/%{pkgname}-%{version}.tar.bz2
# extra IM modules (vietnamese and tamil) -- pablo
Patch4:		gtk+-2.1.2-extra_im.patch.bz2 
# (fc) 2.0.6-8mdk fix infinite loop and crash in file selector when / and $HOME are not readable (bug #90)
Patch5:		gtk+-2.0.6-fileselectorfallback.patch.bz2
# (fc) 2.1.5-1mdk Hook Xft to XSETTINGS (rawhide)
Patch6:		gtk+-2.2.1-xftprefs.patch.bz2
# (fc) 2.2.2-6mdk Mark assembly files as noexec-stack (Rawhide)
Patch10:	gtk+-2.2.2-noexecstack.patch.bz2
# (fc) 2.2.2-6mdk XFlush() rather than XSync() at the end of
# process_all_updates() (GNOME bug #109180) (Rawhide)
Patch11:	gtk+-2.2.2-flush.patch.bz2
# (fc) 2.2.4-2mdk fix 100% cpu taken by notification area (CVS) (GNOME bug 122327)
Patch12:	gtk+-2.2.4-socketfocus.patch.bz2
# (fc) 2.2.4-3mdk Link gdk-pixbuf-xlib against gdk-pixbuf (Fedora)
Patch14:	gtk+-2.2.4-pixbufxlibdep.patch.bz2
# (fc) 2.2.4-3mdk fix build with latest freetype2 (CVS)
Patch15:	gtk+-2.2.4-freetype2.patch.bz2
# (fc) 2.2.4-4mdk various bug fixes (CVS)
Patch16:	gtk+-2.2.4-cvsfixes.patch.bz2
# (fc) 2.2.4-6mdk fix GtkCombo/GtkMenu when embedded (Mdk bug #6906)
Patch17:	gtk+-2.2.4-fixembedding.patch.bz2
Patch18:	gtk2-loader-sec.patch
Patch19:	gdk-pixbuf-0.22.0-CAN-2004-0753.patch
Patch20:	gtk+-2.2.4-bmpcrash.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

URL:		http://www.gtk.org
Requires:	common-licenses
BuildRequires:	Xft-devel
BuildRequires:	autoconf2.5
BuildRequires:	gettext-devel
BuildRequires:  libglib2.0-devel >= %{req_glib_version}
BuildRequires:	libatk1.0-devel >= %{req_atk_version}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	pango-devel >= %{req_pango_version}

%if %enable_gtkdoc
BuildRequires: gtk-doc >= 0.9 
BuildRequires: sgml-tools
BuildRequires: texinfo
%endif
# needed in %post scripts
PreReq: %{libname} = %{version}-%{release}
PreReq: %{libname_x11} = %{version}-%{release}
PreReq: %{libname_pixbuf} = %{version}-%{release}
Provides:	%{pkgname}2 = %{version}-%{release}
Obsoletes:	%{pkgname}2


%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.

%package -n %{libname}
Summary: %{summary}
Group:	 %{group}
Obsoletes:	lib%{pkgname}2
Provides:	lib%{pkgname}2 = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Provides:   gtk2 = %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}
Requires:	%{name}-backend = %{version}-%{release}
Requires:   libglib2.0 >= %{req_glib_version}
Requires:   libpango1.0 >= %{req_pango_version}
Requires:   libatk1.0 >= %{req_atk_version}
Conflicts:  libgnomeui2_0 <= 2.0.5

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gtk+.

%package -n %{libname}-devel
Summary:	Development files for GTK+ (GIMP ToolKit) applications.
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Obsoletes:  %{libname_x11}-devel
Provides:   %{libname_x11}-devel = %{version}-%{release}
Provides:   gtk2-devel = %{version}-%{release}
Obsoletes:	%{pkgname}2-devel
Obsoletes:  lib%{pkgname}2-devel
Provides:	%{pkgname}2-devel = %{version}-%{release}
Provides:	lib%{pkgname}2-devel = %{version}-%{release}
Provides:	lib%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-x11-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname_x11} = %{version}-%{release}
Requires:	%{libname_pixbuf}-devel = %{version}-%{release}
Requires:	XFree86-devel
Requires:	libatk1.0-devel >= %{req_atk_version}
Requires:	libpango1.0-devel >= %{req_pango_version}


%description -n %{libname}-devel
The libgtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The libgtk+-devel
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).


%package -n %{libname_pixbuf}
Summary:	Image loading and manipulation library for GTK+
Group:		System/Libraries
Provides:	libgdk_pixbuf%{api_version} = %{version}-%{release}

%description -n %{libname_pixbuf}
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{libname_pixbuf}-devel
Summary:	Development files for image handling library for GTK+
Group:		Development/GNOME and GTK+
Provides:	libgdk_pixbuf%{api_version}-devel = %{version}-%{release}
Requires:	%{libname_pixbuf} = %{version}-%{release}
Requires:	libglib2.0-devel >= %{req_glib_version}

%description -n %{libname_pixbuf}-devel
This package contains the development files needed to compile programs
that uses GTK+ image loading/manipulation library.

%package -n %{libname_x11}
Summary:	X11 backend of The GIMP ToolKit (GTK+)
Group:		System/Libraries
Provides:	lib%{pkgname}-x11-%{api_version} = %{version}-%{release}
Provides:	%{name}-backend = %{version}-%{release}
Requires:	%{libname_pixbuf} = %{version}-%{release}
Conflicts:  libgtk+2-devel < 2.0.0

%description -n %{libname_x11}
This package contains the X11 version of library needed to run
programs dynamically linked with gtk+.

%package -n %{libname_linuxfb}
Summary:	Frame-Buffer backend of The GIMP ToolKit (GTK+)
Group:		System/Libraries
Obsoletes:	lib%{pkgname}2-linuxfb
Provides:	lib%{pkgname}2-linuxfb = %{version}-%{release}
Provides:	%{libname}-linuxfb-%{api_version} = %{version}-%{release}
Provides:	%{name}-backend = %{version}-%{release}
Requires:	%{libname_pixbuf} = %{version}-%{release}

%description -n %{libname_linuxfb}
This package contains the Frame Buffer version of library needed to run
programs dynamically linked with gtk+.

%package -n %{libname_linuxfb}-devel
Summary:	Development files for frame-buffer backend of GTK+
Group:		Development/GNOME and GTK+
Obsoletes:	lib%{pkgname}2-linuxfb-devel
Provides:	lib%{pkgname}2-linuxfb-devel = %{version}-%{release}
Provides:	lib%{pkgname}-linuxfb-%{api_version}-devel = %{version}-%{release}
Requires:   %{libname}-devel = %{version}-%{release}
Requires:	%{libname_linuxfb} = %{version}-%{release}
Requires:	%{libname_pixbuf}-devel = %{version}-%{release}
Requires:	libatk1.0-devel >= %{req_atk_version}
Requires:	libpango1.0-devel >= %{req_pango_version}

%description -n %{libname_linuxfb}-devel
This package contains the development files needed to compile programs
with gtk+ Frame Buffer.

%prep
%setup -n %{pkgname}-%{version} -q
%patch4 -p1 -b .extra_im
%patch5 -p1 -b .fileselectorfallback
%patch6 -p1 -b .xftprefs
%patch10 -p1 -b .noexecstack
%patch11 -p1 -b .flush
%patch12 -p1 -b .socketfocus
%patch14 -p1 -b .pixbufxlibdep
%patch15 -p1 -b .freetype2
%patch16 -p1 -b .cvsfixes
%patch17 -p1 -b .fixembedding
%patch18 -p1 -b .can-2004-0782_0783_0788
%patch19 -p0 -b .can-2004-0753
%patch20 -p1 -b .can-2005-0891

#needed by patches 4 & 14
automake

#needed by patch 15
WANT_AUTOCONF_2_5=1 autoconf

%build

# Build X11 backend
mkdir X11-build
cd X11-build

# we don't use libtool 1.5 yet
%define __libtoolize /bin/true

CONFIGURE_TOP=.. %configure2_5x \
	--with-xinput=xfree \
%if !%enable_gtkdoc
	--enable-gtk-doc=no
%endif

#RH hack to remove rpath
perl -pi -e 's|hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=\"-L\\\$libdir\"|g;' libtool

%make
make check

cd ..
# Then build frame buffer counterpart
%if %build_fb
mkdir fb-build
cd fb-build
CONFIGURE_TOP=.. %configure2_5x \
	--with-gdktarget=linux-fb \
	--enable-gtk-doc=no

%make
cd ..
%endif


%install
rm -rf $RPM_BUILD_ROOT

# Avoid conflict with different ChangeLogs
cp ./contrib/gdk-pixbuf-xlib/ChangeLog ./contrib/gdk-pixbuf-xlib/ChangeLog-gdk-pixbuf-xlib
cp ./gdk-pixbuf/ChangeLog ./gdk-pixbuf/ChangeLog-gdk-pixbuf

%if %build_fb
cd fb-build
%makeinstall_std RUN_QUERY_IMMODULES_TEST=false RUN_QUERY_LOADER_TEST=false
cd ..
%endif

cd X11-build
%makeinstall_std mandir=%{_mandir} RUN_QUERY_IMMODULES_TEST=false RUN_QUERY_LOADER_TEST=false

cd ..

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-%{api_version}
touch $RPM_BUILD_ROOT%{_sysconfdir}/gtk-%{api_version}/gtk.immodules
touch $RPM_BUILD_ROOT%{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/modules

%{find_lang} gtk20

#remove not packaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/*.la \
  $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/%{binary_version}.*/loaders/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname_pixbuf} -p /sbin/ldconfig
%postun -n %{libname_pixbuf} -p /sbin/ldconfig

%post -n %{libname_x11} -p /sbin/ldconfig
%postun -n %{libname_x11} -p /sbin/ldconfig

%post -n %{libname_linuxfb} -p /sbin/ldconfig
%postun -n %{libname_linuxfb} -p /sbin/ldconfig

%post 
%{_bindir}/gtk-query-immodules-%{api_version} > %{_sysconfdir}/gtk-%{api_version}/gtk.immodules
%{_bindir}/gdk-pixbuf-query-loaders >  %{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders

%files -f gtk20.lang
%defattr(-, root, root)
%doc INSTALL README
%{_bindir}/gtk-query-immodules-%{api_version}
%{_bindir}/gdk-pixbuf-query-loaders
%{_datadir}/themes
%dir %{_sysconfdir}/gtk-%{api_version}
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/gtk-%{api_version}/gtk.immodules
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders

%files -n %{libname}
%defattr(-, root, root)
%doc INSTALL README
%dir %{_libdir}/gtk-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/modules
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/*.so

%files -n %{libname}-devel
%defattr(-, root, root)
%doc docs/*.txt AUTHORS ChangeLog NEWS* README*
%doc %{_datadir}/gtk-doc/html/gdk
%doc %{_datadir}/gtk-doc/html/gtk
%{_bindir}/gtk-demo
%{_datadir}/aclocal/*
%{_datadir}/gtk-%{api_version}
%{_includedir}/gtk-%{api_version}/gdk
%{_includedir}/gtk-%{api_version}/gtk
%{_libdir}/gtk-%{api_version}/include
%{_libdir}/pkgconfig/gdk-%{api_version}.pc
%{_libdir}/pkgconfig/gtk+-%{api_version}.pc
%{_libdir}/*x11*.so
%{_libdir}/*x11*.la
%{_libdir}/pkgconfig/*x11*


%files -n %{libname_pixbuf}
%defattr(-, root, root)
%{_libdir}/libgdk_pixbuf*.so.*
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*/loaders
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/loaders/*.so

%files -n %{libname_pixbuf}-devel
%defattr(-, root, root)
%doc contrib/gdk-pixbuf-xlib/ChangeLog-* gdk-pixbuf/ChangeLog-*
%doc %{_datadir}/gtk-doc/html/gdk-pixbuf
%{_bindir}/gdk-pixbuf-csource
%dir %{_includedir}/gtk-%{api_version}
%{_includedir}/gtk-%{api_version}/gdk-pixbuf*
%{_libdir}/libgdk_pixbuf*.so
%{_libdir}/libgdk_pixbuf*.la
%{_libdir}/pkgconfig/gdk-pixbuf*.pc
%{_mandir}/man1/*


%files -n %{libname_x11}
%defattr(-, root, root)
%{_libdir}/*x11*.so.*

%if %build_fb
%files -n %{libname_linuxfb}
%defattr(-, root, root)
%{_libdir}/*linux-fb*.so.*

%files -n %{libname_linuxfb}-devel
%defattr(-, root, root)
%{_libdir}/*linux-fb*.so
%{_libdir}/*linux-fb*.la
%{_libdir}/pkgconfig/*linux-fb*
%endif


%changelog
* Tue Apr 05 2005 Vincent Danen <vdanen@mandrakesoft.com> 2.2.4-10.2.100mdk
- security update for CAN-2005-0891

* Fri Sep 17 2004 Vincent Danen <vdanen@mandrakesoft.com> 2.2.4-10.1.100mdk
- security update for CAN-2004-0753, CAN-2004-0782, CAN-2004-0783, and
  CAN-2004-0788

* Tue Mar 30 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.4-10mdk
- integrated Basque translation

* Fri Feb 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-9mdk
- Update patch 17 based on gtk+ hackers review

* Thu Feb 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-8mdk
- Update patch 16 with another round of bug fixes from CVS

* Wed Feb 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-7mdk
- Update patch16 with new bug fixes

* Tue Feb 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-6mdk
- Patch17 : fix GtkCombo/GtkMenu when embedded

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-5mdk
- Update patch16 with more bug fixes 

* Mon Feb 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-4mdk
- Patch16 (CVS): many bug fixes from gtk-2-2 branch
- Remove patches 8 & 13 (merged in patch16)

* Thu Jan 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-3mdk
- Patch13 (Fedora): Fix 64-bit problem in gtkimcontextxim.c
- Patch14 (Fedora): Link gdk-pixbuf-xlib against gdk-pixbuf
- Patch15 (CVS): fix build with latest freetype2
- Fix type in xlib Changelog (Anthill #276)
- remove rpath (Fedora)

* Mon Sep 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-2mdk
- Patch12 (owen): fix notification area taking 100% CPU (GNOME bug #122327)

* Fri Sep 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-1mdk
- Release 2.2.4
- Remove patch12 (merged upstream)

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3-3mdk
- Patch12 (CVS): do not only select in treeview with button1 (GNOME
  bug 120187)

* Fri Aug 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3-2mdk
- Fix distriblint warning and make gotz happy (bug #4998)

* Wed Aug 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3-1mdk
- Release 2.2.3
- Remove patches 9 & 12 (merged upstream)

* Fri Aug 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2-6mdk
- Patch10 (rawhide): Mark assembly files as noexec-stack 
- Patch11 (rawhide): XFlush() rather than XSync() at the end of
  process_all_updates() (GNOME bug #109180)
- Patch11 (CVS): Don't assume that all events start with XEventAny
  (GNOME bug #105745) (CVS)

* Mon Jul 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.2-5mdk
- Patch9 (CVS): fix gnome-theme-manager thumbnail (bug #4130)

* Wed Jul 23 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.2-4mdk
- enable use of Xft by default now

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.2-3mdk
- Fix description
- Add provides for RH compat
- add missing prereq (Charles A Edwards)

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.2-2mdk
- rebuild

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.2-1mdk
- Release 2.2.2
- remove patches 7 & 9 (merged upstream)

* Mon May 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-6mdk
- Rebuild to get new devel provides/requires

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-5mdk
- Fix -devel package provides

* Thu Apr 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-4mdk
- Merged back x11-devel package into main devel package

* Thu Apr 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-3mdk
- Patch9 (rawhide): fix scrolling lockup (Mdk bug #3761)
- mklibnamification

* Fri Feb 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-2mdk
- Update login script to allow XFT use for ja and he locale 
  (XFT can now load their fonts)
- Patch7 (CVS): fix always set adjustement in textview (fix crash in rpmdrake)
- Patch8 : don't try to use locale based setting for KP_Decimal (fix mdk bug 1333)

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1
- Regenerate patch6

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-3mdk
- Update patch6 to support hinting

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-2mdk
- Rebuild against latest Xft2 (from XF 4.2.99) and pango

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Remove patch7 (merged upstream)

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Patch7 (CVS): fix filter on X11 event - this fix plug/socket for MCC 
 (bug #101512)

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5
- Remove patch6 (merged upstream)
- Patch6 (rawhide): hook up Xft to XSETTINGS

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-2mdk
- Patch6: disable debug text in textview

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Wed Dec  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-2mdk
- Bump glib requirement

* Wed Dec  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3
- Remove patches 10 & 11 (merged upstream)

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2
- from announce : 
   WARNING : GTK+-2.1.x exposes a bug in libgnomeui where libgnomeui
   was creating a widget of type GtkWidget instead of a derived
   class; to fix this, upgrade to libgnomeui-2.1.0.
- Remove patches 3 & 6, 7, 8, 9(merged upstream)
- Regenerate patch4 for gtk+ 2.1.x and no longer patch Makefile.in files
- Patch10 (CVS): fix gdk-pixbuf.loaders generation
- Patch11 (CVS): fix linux-fb compilation

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-3mdk
- Patch9 (CVS): correctly refcount colormap (fix metacity bug #94806)

* Wed Nov 13 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.8-2mdk
- BuildRequires

* Tue Nov 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-1mdk
- Release 2.0.8
- Remove patch9 (merged upstream)

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-3mdk
- Add explicit dependency on pango >= 1.1.3 (Michal Bukovjan)
- Patch9 (CVS): fix LZWP_SP typo

* Tue Nov  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-2mdk
- Recompiled with pango 1.1.3 (Xft support)

* Tue Nov  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-1mdk
- Release 2.0.7
- Remove patches 0, 1, 2 (merged upstream)

* Wed Sep 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-8mdk
- Patch5:  fix infinite loop and crash in file selector when / and 
  $HOME are not readable (bug #90)

* Fri Aug 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-7mdk
- Remove the G_BROKEN_FILENAMES thing, it is handled in glib2 package

* Wed Aug 28 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0.6-6mdk
- added some extra IM (vi-telex, vi-vni, tml-tscii, tml-uni)
- re-enabled GDK_USE_XFT for all latin and cyrillic languages
  (a default font will be provided)
- define G_BROKEN_FILENAMES=1 by default (this tells to use locale
  encoding for file names, instead of using utf-8)

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-5mdk
- Fix source2 again (bug #136)
- Patch3 (rawhide): Fix extra settings notifies on startup 
  that were causing significant performance problems as fonts were reloaded.

* Wed Aug 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-4mdk
- Conflicts with libgtk+2-devel < 2.0.0 to ease upgrade from Mdk 8.2

* Wed Aug 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-3mdk
- Patch0 (rawhide): Fix bug with GTK_IM_MODULE environment variable
- Patch1 (rawhide): Fixes to GtkIMContextSimple compose table for us-intl keyboards
- Patch2 (rawhide): Fix problem with keycodes passed to GtkIMContextXIM

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-2mdk
- Update sources 1 & 2 to disable AA for known locales where we 
  lacks scalable fonts (pablo)

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-1mdk
- Release 2.0.6
- Remove patch0 (merged upstream)

* Wed Jul 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-4mdk
- Fix dependencies in -devel packages : x11-devel package is now providing
  gtk2-devel package. 

* Tue Jun 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-3mdk
- Lower some optimizations, gcc 3.1.1 has some problems with -O3

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-2mdk
- Patch0 (Rawhide): use GTK2_RC_FILES instead of GTK_RC_FILES, since KDE
  points GTK_RC_FILES to gtk-1.2 ~/.gtkrc
- Enable GDK_USE_XFT for all applications

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5
- Remove patch1 (merged upstream)
- Enable fb build

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.2-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Thu Apr  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2 (GUADEC Powered)
- Remove patch 0 (merged upstream)

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0 (package highlu based on 
- Disabled linux-fb target temporarily, causing HUGE memory leak 
  (anyway, x11 and linux-fb target can't coexist for now.)

* Wed Feb 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.13-2mdk
- Fix provides for linuxfb-devel package

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.13-1mdk
- Release 1.3.13

* Tue Jan 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-4mdk
- Garzikfy build : remove ugly hack for building of linux-fb part

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.3.12-3mdk
- BuildRequires

* Tue Jan  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-2mdk
- Add prereq in main package
- Fix duplicate of linux-fb devel libraries in -devel (thanks to J.A. Magallon)

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-1mdk
- Release 1.3.12
- Remove patch0 (merged upstream)

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.11-2mdk
- Patch 0: update linux-fb to pango 0.22 API
- Create linux-fb sub-package
- Clean specfile with help of Abel Cheung <maddog@linuxhall.org> :
 - Add "enable_gtkdoc" variable to toggle building gtk-doc stuff
 - Remove all references of install-info, info files are no more
 - Remove references of {gtk+-gtkbeta}{,-devel}
 - BuildRequires: libtool >= 1.4.2 to solve bootstrap problem
 - Changed summary and description of lib package
 - Remove unused static modules from file list
 - Set config file as ghost file
 - Split one more package to please rpmlint

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.11-1mdk
- Release 1.3.11

* Mon Nov 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.10-1mdk
- Release 1.3.10
- Clean specfile

* Wed Oct 17 2001 DindinX <odin@mandrakesoft.com> 1.3.9-1mdk
- 1.3.9

* Tue Oct  9 2001 DindinX <odin@mandrakesoft.com> 1.3.6-5mdk
- some cleanups
- make rpmlint happier.

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.3.6-4mdk
- BuildRequires:	pkgconfig XFree86-devel

* Mon Aug 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-3mdk
- circumvented the libtool problems

* Tue Jul 31 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-2mdk
- rebuild with forcing use of new libtools

* Fri Jul 07 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-1mdk
- updated to 1.3.6

* Wed May 16 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.5-4mdk
- added indic input methods

* Tue May 15 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.5-3mdk
- first version for mdk
- improved with inclusion of docs, copied from the pango site rpm package
- properly include translation files, keyboard input methods, and etc config

* Tue May 15 2001 DindinX <odin@mandrakesoft.com> 1.3.5-2mdk
- corrected package source name.

* Mon May 14 2001 DindinX <odin@mandrakesoft.com> 1.3.5-1mdk
- first mandrake release of gtk+-2.0pre

